Loading...
Searching...
No Matches
BALL::FresnoTypes Class Reference

`#include <BALL/SCORING/COMPONENTS/fresnoTypes.h>`

## Public Types

enum | TypeAssignment { ASSIGNMENT__ELDRIDGE , ASSIGNMENT__FRESNO }
enum | FresnoType { UNKNOWN , LIPOPHILIC , HBOND_DONOR , HBOND_ACCEPTOR_DONOR , HBOND_ACCEPTOR , HBOND_HYDROGEN , POLAR , METAL }

## Public Member Functions

| FresnoTypes (AtomContainer *system)
virtual | ~FresnoTypes ()
virtual bool | setup ()
const HashMap< const Atom *, Size > * | getTypeMap () const

## Detailed Description

Definition at line 15 of file fresnoTypes.h.

## Member Enumeration Documentation

## FresnoType

enum BALL::FresnoTypes::FresnoType

Enumerator
UNKNOWN | Unknown type.
LIPOPHILIC | Lipophilic atom. Defined as: \begin{itemize} \item chlorine, bromine and iodine atoms which are not ions \item sulphurs which are not acceptor or polar \item carbons which are not polar \end{itemize}
HBOND_DONOR | H-bond donor atom. Defined as: \begin{itemize} \item nitrogens with hydrogens attached \item hydrogens attached to oxygon or nitrogen \end{itemize}
HBOND_ACCEPTOR_DONOR | H-bond donor/acceptor atom. Defined as: \begin{itemize} \item oxygens attached to hydrogen atoms \item imine nitrogen (i. e. C = NH nitrogen) \end{itemize}
HBOND_ACCEPTOR | H-bond acceptor atom. Defined as: \begin{itemize} \item oxygenz not attached to hydrogen \item nitrogens with no hydrogens attached and one ore two bonds \item halogens which are ions \item sulphurs wiht only one connection \end{itemize}
HBOND_HYDROGEN | H-bond hydrogen.

POLAR

Polar (non H-bonding) atoms. Defined as: \begin{itemize} \item nitrogens with no hydrogens attached and more than two bonds \item phosphorus \item sulphurs attached to one or more polar atoms (including H-bonding atoms and excluding polar carbon atoms or flourine atoms) \item carbons attached to two or more polar atoms (including H-bonding atoms and excluding polar carbon atoms or flourine atoms) \item carbons in nitriles or carbonyls \item nitrogens with no hydrogens and four binds \item flourine atoms \end{itemize}

METAL | Metal atoms.

Definition at line 33 of file fresnoTypes.h.

## TypeAssignment

enum BALL::FresnoTypes::TypeAssignment

Enumerator
ASSIGNMENT__ELDRIDGE |
ASSIGNMENT__FRESNO |

Definition at line 20 of file fresnoTypes.h.

## Constructor & Destructor Documentation

## FresnoTypes()

BALL::FresnoTypes::FresnoTypes | ( | AtomContainer * | system | ) |

## ~FresnoTypes()

virtual BALL::FresnoTypes::~FresnoTypes | ( |  | ) |

inline virtual

Definition at line 106 of file fresnoTypes.h.

## Member Function Documentation

## getTypeMap()

const HashMap< const Atom *, Size > * BALL::FresnoTypes::getTypeMap | ( |  | ) | const

## setup()

virtual bool BALL::FresnoTypes::setup | ( |  | ) |

virtual